#include <iostream>

using namespace std;

int main() 
{
	int n, a, b, pot, j, k, max, c;
	max = c = 0;
	cin >> n;
	int pom[n];
	int dod[10];
		for(int i = 0; i < 10; i++)
		{
			dod[i] = 0;
		}
		for(int i = 0; i < n; i++)
		{
			cin >> a;
			pom[i] = a;	
			dod[a]++;
			if(dod[a]==2)
			{
				c=1;
			}				
		}	
		for(int i = 0; i < n; i++)
		{
			max = 0;
			for(j=i+1; j < n; j++)
			{
				if(pom[j] >= max)
				{
					max = pom[j];
					k = j;
				}
			}
			if(pom[i] < pom[k])
			{
				pot = pom[k];
				pom[k] = pom[i];
				pom[i] = pot;
				break;
			}
			if(i==(n-1))
			{
				if(c==1)
				{
					break;
				}
				else
				{
					pot = pom[n-2];
					pom[n-2] = pom[n-1];
					pom[n-1] = pot;
					break;
				}
			}
		}
		for(int i = 0; i < n; i++)
		{
			cout << pom[i] << " ";					
		}
	
	return 0;
}